.header-menu-profile2 {
  opacity: 0 !important;
}

.is-active2 {
  opacity: 1 !important;
}

.vs-tabs__tab-panel:not(.is-active) {
    display: none;
}

.vs-tabs__content {
    margin-top: 1rem;
}

.separ-audio-preloader {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-block: 40px;
}

.pre-line {
    white-space: pre-line;
}

.music {
    .button-back {
        position: relative;
        z-index: 1;
    }
}

.music-spectrum-text {
    &:disabled {
        opacity: 0.65;
        cursor: not-allowed;
    }
}

.modal-ci-container .modal-close,
.modal-close {
    z-index: 1;
}

.song-mastering-main {
    .music-spectrum-selection {
        border-radius: 0;
    }

    .music-spectrum-selection,
    .music-spectrum-crop {
        pointer-events: auto;
    }

    .music-spectrum-crop {
        z-index: 1;
    }
}

.modal-prompt {
    .music-field-prompt-container,
    .music-field-prompt {
        height: 100%;
    }

    .music-field-prompt-main {
        display: flex;
        flex-direction: column;
    }

    .modal-prompt-textarea {
        height: auto;
        flex-grow: 1;
    }
}

.music-spectrum--loading {
    background-color: #1f1f21;

    .music-spectrum-preloading {
        display: block;
    }

    svg,
    .music-spectrum-crop {
        visibility: hidden;
    }
}

.music-spectrum-preloading {
    position: absolute;
    display: none;
}

.song-mastering-bottom {
    .select-dropdown {
        top: auto;
        bottom: calc(100% + 8px);
    }
}

.main.video {
    .video-form {
        display: none;
    }

    .video-center-container,
    .video-center,
    .video-bottom {
        display: flex;
        flex-direction: column;
    }

    .video-center {
        max-height: calc(100% - 50px);
    }

    .video-center-container {
        align-items: center;
    }

    .video-bottom,
    .video-bottom-overflow,
    .video-center-container,
    .video-player-editor {
        flex-grow: 1;
    }

    .video-player-editor {
        height: auto;
    }

    .video-bottom {
        width: auto;
        padding: 0;
        margin: 0;

        background-color: var(--black, #101012);
    }

    .video-bottom-overflow {
        position: absolute;
        left: 0;
        top: 0;
        width: calc(100% + 32px);
        height: 100%;

        margin-left: -16px;
        padding-inline: 16px;
        padding-top: 24px;
    }
}

.main-library--video-editor {
    flex-grow: 1;
    max-width: 100%;
}

@media (max-width: 1536px) {
    .nicname {
        display: none;
    }
}

@media (min-width: 1366px) {
}

@media (min-width: 575px) {
    .sp-slide .song-roads .music-part {
        width: calc((100% - 16px) / 2);
    }
}

@media (min-width: 1536px) {
    .music-part .dropdown {
        transform: translate(calc(-100% - 46px), 0px);
    }
}